"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Relation = void 0;
require("reflect-metadata");
const Relation = (options) => {
    return (target, property) => {
        const metadata = Reflect.getMetadata('SERIALIZER_RELATION', target.constructor) || {};
        metadata[property] = options;
        Reflect.defineMetadata('SERIALIZER_RELATION', metadata, target.constructor);
    };
};
exports.Relation = Relation;
//# sourceMappingURL=relation.decorator.js.map