import { EntityType } from '../types/entity.type';
import { BaseEntity } from '../interfaces/base-entity.interface';
import { IResourceIdentifierObject, IResourceObject } from '../interfaces/response';
export declare class ResourceSerializer<T extends BaseEntity> {
    private type;
    constructor(type: EntityType<T>);
    handleOne(data: T): IResourceObject<T> | IResourceIdentifierObject<T> | null;
    handleMany(data: T[]): IResourceObject<T>[] | IResourceIdentifierObject<T>[] | [];
}
//# sourceMappingURL=resource.serializer.d.ts.map