"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResourceSerializer = void 0;
class ResourceSerializer {
    constructor(type) {
        this.type = type;
    }
    handleOne(data) {
        const { id } = data, attributes = __rest(data, ["id"]);
        const options = Reflect.getMetadata('SERIALIZER_ENTITY', this.type);
        if (!options) {
            throw new Error(`Could not resolve entity type for class ${this.type}. Are you missing an @Entity decorator?`);
        }
        return { id, type: options.name, attributes };
    }
    handleMany(data) {
        return [];
    }
}
exports.ResourceSerializer = ResourceSerializer;
// const relations = Reflect.getMetadata('SERIALIZER_RELATION', this.entity) || {};
//# sourceMappingURL=resource.serializer.js.map