import { ILinksObject, ISourceObject, IMetaObject } from '..';


export type IErrorLinksObject = Pick<ILinksObject, 'about'>

export interface IErrorObject {
  /**
   * Optional Members
   */
  id?: string;
  links?: IErrorLinksObject;
  status?: string;
  code?: string;
  title?: string;
  detail?: string;
  source?: ISourceObject;
  meta?: IMetaObject;
}