import { ILinksObject, IResourceIdentifierObject, IMetaObject } from '..';


export type IRelationshipLinksObject = Pick<ILinksObject, 'self' | 'related'>;

export type IResourceLinkageObject<T> = null | [] | IResourceIdentifierObject<T> | IResourceIdentifierObject<T>[];

export interface IRelationshipObject<T> {
  /*
   * Optional Members (1 Required)
   */
  links?: IRelationshipLinksObject;
  data?: IResourceLinkageObject<T>;
  meta?: IMetaObject;
}