import { IRelationshipObject, ILinksObject, IMetaObject } from '..';
export declare type IAttributesObject<T> = Omit<T, 'id'>;
export declare type IRelationshipsObject<T> = {
    [key: string]: IRelationshipObject<T>;
};
export declare type IResourceLinksObject = Pick<ILinksObject, 'self' | 'related'>;
export interface IResourceObject<T> {
    id: string;
    type: string;
    attributes?: IAttributesObject<T>;
    relationships?: IRelationshipsObject<T>;
    links?: IResourceLinksObject;
    meta?: IMetaObject;
}
//# sourceMappingURL=resource-object.interface.d.ts.map