import { IErrorObject, IJSONAPIObject, ILinksObject, IMetaObject, IResourceIdentifierObject, IResourceObject } from '..';
export declare type IResponseLinksObject = Omit<ILinksObject, 'about'>;
export interface IResponseObject<T> {
    data?: IResourceObject<T> | IResourceIdentifierObject<T> | null | IResourceObject<T>[] | IResourceIdentifierObject<T>[] | [];
    errors?: IErrorObject[];
    meta?: IMetaObject;
    jsonapi?: IJSONAPIObject;
    links?: IResponseLinksObject;
    included?: IResourceObject<any>[];
}
//# sourceMappingURL=response-object.interface.d.ts.map