import 'reflect-metadata';

export interface IEntityOptions {
  name: string;
}

export const Entity = (options: IEntityOptions): ClassDecorator => {
  return (target: Object) => {
    Reflect.defineMetadata('SERIALIZER_ENTITY', options, target);
  };
};